xml-hamlet-0.4.1: Hamlet-style quasiquoter for XML content

Safe Haskell | None
Language | Haskell98

Text.Hamlet.XML

Synopsis

- xml :: QuasiQuoter
- xmlFile :: FilePath -> Q Exp
- class ToAttributes a where

# Documentation

xml :: QuasiQuoter #

xmlFile :: FilePath -> Q Exp #

class ToAttributes a where #

Convert some value to a list of attribute pairs.

Minimal complete definition

toAttributes

Methods

toAttributes :: a -> Map Name Text #

Instances

ToAttributes [(String, String)] # |
Methods toAttributes :: [(String, String)] -> Map Name Text #
ToAttributes [(Text, Text)] # |
Methods toAttributes :: [(Text, Text)] -> Map Name Text #
ToAttributes [(Name, Text)] # |
Methods toAttributes :: [(Name, Text)] -> Map Name Text #
ToAttributes (String, String) # |
Methods toAttributes :: (String, String) -> Map Name Text #
ToAttributes (Text, Text) # |
Methods toAttributes :: (Text, Text) -> Map Name Text #
ToAttributes (Name, Text) # |
Methods toAttributes :: (Name, Text) -> Map Name Text #
ToAttributes (Map String String) # |
Methods toAttributes :: Map String String -> Map Name Text #
ToAttributes (Map Text Text) # |
Methods toAttributes :: Map Text Text -> Map Name Text #
ToAttributes (Map Name Text) # |
Methods toAttributes :: Map Name Text -> Map Name Text #